package org.richfaces.realworld.util;

import java.io.Serializable;

import org.jboss.seam.ScopeType;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.annotations.Scope;

@Name(value="navigationHelper")
@Scope(ScopeType.CONVERSATION)
public class NavigationHelper implements Serializable{

	private NavigationEnum navigationEnum;
	
	public NavigationEnum getNavigationEnumUserPrefs(){
		return NavigationEnum.USER_PREFS;
	}
	
	public NavigationEnum getNavigationEnumSearch(){
		return NavigationEnum.SEARCH;
	}
	
	public NavigationEnum getNavigationEnumReadMessages(){
		return NavigationEnum.READ_MESSAGES;
	}
	
	public NavigationEnum getNavigationEnumImagePreview(){
		return NavigationEnum.IMAGE_PREVIEW;
	}
	
	public NavigationEnum getNavigationEnumFileUpload(){
		return NavigationEnum.FILE_UPLOAD;
	}
}
